Não é possível executar projeto Eclipse - não consegue encontrar banco de dados API

? F1sher @ | Original: StackOverFlow
---

Meu código compila . Não há erros no código . Eu fiz o download completo SDK. Na corrida eu recebo este erro :

Can't find API database; API check not performed        

E é em Localização: linha 1, tipo Android Lint Problema .

Eu não tenho idéia o que é errado .

---

Top 5 Responder

1F1sher @

Fixei -lo. No manifesto que eu tinha em minSdkVersion uses- sdk especificado, mas eu não tive targetSdkVersion . Após a adição do parâmetro targetSdkVersion ser compilado, e correu.

2BartoszK @

Eu ter resolvido isso de forma diferente . No manifesto que eu tinha :

<uses-sdk
    android:minSdkVersion="9"
    android:targetSdkVersion="19" />

O problema foi que após a instalação do novo Eclipse ADT, em " Android SDK Manager" Eu não tinha qualquer plataforma SDK instalado. Então, eu tenho instalado API 19 SDK Platform & amp; Documentação & amp; Fontes. Gostaria de instalar também API 9, mas por algum motivo ele está faltando no Gerenciador SDK.

De qualquer forma, depois disso, eu ter editado o android: minSdkVersion = "10" -> [ salvar ] - > novamente alterado para android: minSdkVersion = "9" -> [ salvar ] ... E o problema se foi.

3Sharky @ go to your Manifest click on Uses Sdk change Min SDK version to 9 or something else and press ctrl+s (save) error should disappear now change Min SDK version back to your original value

Isso resolveu isso por mim.